Bug 428239 - Emacs crashes with "Fatal error (6)Aborted" after a while
Emacs crashes with "Fatal error (6)Aborted" after a while
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-10 03:27 EST by Per Thomas Jahr
Modified: 2009-01-09 02:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:34:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Core dump for Emacs crash. (5.11 MB, application/octet-stream)
2008-01-11 03:36 EST, Per Thomas Jahr
no flags Details

  None (edit)
Description Per Thomas Jahr 2008-01-10 03:27:30 EST
Description of problem:
Emacs crashes after a couple of hours with the message:
Fatal error (6)Aborted

I usually leave Emacs open when I go home from work. When I return the next 
morning, I see the above message.

Version-Release number of selected component (if applicable):
$ rpm -qa | grep emacs

How reproducible:

Steps to Reproduce:
1. Open Emacs and leave it open f.ex. over the night. I start Emacs via the 
GNOME menu.
Actual results:
Emacs crashes with the message "Fatal error (6)Aborted".

Expected results:
Emacs should not crash.

Additional info:
Fedora 8 with the proprietary ATI drivers.
Comment 1 Chip Coldwell 2008-01-10 08:56:06 EST
If emacs is aborting, it should be possible to get a core dump.  Try adding
"ulimit -c unlimited" to your .bash_profile and see if you can get us a core dump.

Comment 2 Per Thomas Jahr 2008-01-11 03:36:11 EST
Created attachment 291362 [details]
Core dump for Emacs crash.

Please find the core dump attached. 

The crash was slightly different today:
Emacs was running in another workspace since yesterday. This morning I switched
to the workspace with Emacs in it and I could see the Emacs window for a short
moment before it crashed.
Comment 3 Per Thomas Jahr 2008-01-16 04:38:13 EST
Should I install some of the debuginfo packages? I tried gdb emacs core.8588, 
but there are no debug symbols there.
Comment 4 Per Thomas Jahr 2008-01-18 08:24:04 EST
It stops crashing if I hide the toolbar (tool-bar-mode nil) - so that is a 
workaround for me at least. From what I can see from the core dump, it crashes 
when trying to read new.xpm:


Comment 6 Bug Zapper 2008-11-26 04:22:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-01-09 02:34:54 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.